Get File

GEThttps://bank.dattaremit.com/api/files/{file_guid}

Requires a bank-scoped key.

Retrieves a file.

Required scopes: files:read, files:pii:read

Path Params

file_guidstringrequired

Identifier for the file.

Query Params

include_download_urlstring

Include download information in response. Note, the files:pii:read scope is required if this parameter is set.

Responses

200

file found

401

Unauthorized - Authentication failed

403

Invalid scope

404

file not found

Request

curl https://api.dattaremit.com/api/files/{file_guid} \
  -H "Authorization: Bearer sk_test_YOUR_KEY"

Response

file found

{
  "guid": "string",
  "organization_guid": "string",
  "bank_guid": "string",
  "customer_guid": "string",
  "type": "string",
  "content_type": "string",
  "filename": "string",
  "completed_at": "2026-07-20T16:27:51.438Z",
  "failed_at": "2026-07-20T16:27:51.438Z",
  "state": "storing",
  "failure_code": "string",
  "upload_url": "https://api.yourapp.com/webhooks",
  "upload_expires_at": "2026-07-20T16:27:51.438Z",
  "download_url": "https://api.yourapp.com/webhooks",
  "download_expires_at": "2026-07-20T16:27:51.438Z"
}